Page MenuHomePhabricator

Update Maithili Wikipedia Logo
Closed, ResolvedPublic

Description

The current logo of Maithili Wikipedia is on .png format with low-density version. Please update the logo with https://commons.wikimedia.org/wiki/File:Wikipedia-logo-v2-mai.svg this .svg version.

Thanks
Biplab

Event Timeline

Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptNov 2 2016, 11:14 AM
biplabanand triaged this task as Normal priority.Nov 2 2016, 11:15 AM
Urbanecm claimed this task.Nov 2 2016, 11:16 AM
Urbanecm added a subscriber: Urbanecm.

Sure.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptNov 2 2016, 11:16 AM

$wgLogo doesn't eat SVG logos directly, but PNG versions of them. So create png logos for $wgLogoHD that should be clear and highres enough (cc T145017) and update commons page accordingly ;)

I already created them. There isn't anything needed from anyone except me. I can "eat" SVGs :D.

I referred to the variable, not you as logos-creator :D

Okay then. I have the patch prepared. I must only catch WiFi and upload it. It will be done today or tomorrow.

Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.Nov 2 2016, 12:15 PM
Urbanecm moved this task from Backlog to Working on on the Wikimedia-Site-requests board.

Change 319330 had a related patch set uploaded (by Urbanecm):
Add maiwiki HD logos

https://gerrit.wikimedia.org/r/319330

Urbanecm added a comment.EditedNov 2 2016, 2:32 PM

Will be deployed today at 18:00 UTC.

Change 319330 merged by jenkins-bot:
Add maiwiki HD logos

https://gerrit.wikimedia.org/r/319330

Mentioned in SAL (#wikimedia-operations) [2016-11-02T18:15:43Z] <thcipriani@tin> Synchronized static/images/project-logos: SWAT: [[gerrit:319330|Add maiwiki HD logos (T149790)]] PART I (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2016-11-02T18:17:23Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:319330|Add maiwiki HD logos (T149790)]] PART II (duration: 00m 47s)

Urbanecm closed this task as Resolved.Nov 2 2016, 6:18 PM

Deployed.

@Urbanecm As per our chat on IRC, the hd logo is still not visible on Maithili Wikipedia (mai.wiki) because of the error on Mediaiwki:Commons.css?

@biplabanand This is a question? I don't use Retina display so I'm unable to check. The HD logo (mai.wikipedia.org/static/images/project-logos/maiwiki-1.5x.png and mai.wikipedia.org/static/images/project-logos/maiwiki-2x.png) is visible at the server.

Please copy&paste here a console log from somebody with this kind of error (Chrome Ctrl+Shift+I, Console tab) so we can debug this error.

Console log

%E0%A4%B8%E0%A4%AE%E0%A5%8D%E0%A4%AE%E0%A5%81%E0%A4%96_%E0%A4%AA%E0%A4%A8%E0%A5%8D%E0%A4%A8%E0%A4%BE:580 Gadget "ReferenceTooltips" styles loaded twice. Migrate to type=general. See https://phabricator.wikimedia.org/T42284.
(anonymous) @ सम्मुख_पन्ना:580
%E0%A4%B8%E0%A4%AE%E0%A5%8D%E0%A4%AE%E0%A5%81%E0%A4%96_%E0%A4%AA%E0%A4%A8%E0%A5%8D%E0%A4%A8%E0%A4%BE:580 Gadget "Numeral_converter" styles loaded twice. Migrate to type=general. See https://phabricator.wikimedia.org/T42284.
(anonymous) @ सम्मुख_पन्ना:580
load.php?debug=false&lang=mai&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1u1uxh5:154 Use of "wgPageName" is deprecated. Use mw.config instead.
get @ load.php?debug=false&lang=mai&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1u1uxh5:154
load.php?debug=false&lang=mai&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1u1uxh5:154 Use of "wgArticleId" is deprecated. Use mw.config instead.
get @ load.php?debug=false&lang=mai&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1u1uxh5:154
load.php?debug=false&lang=mai&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1u1uxh5:154 Use of "wgPageName" is deprecated. Use mw.config instead.
get @ load.php?debug=false&lang=mai&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1u1uxh5:154
load.php?debug=false&lang=mai&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1u1uxh5:154 Use of "wgServer" is deprecated. Use mw.config instead.
get @ load.php?debug=false&lang=mai&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1u1uxh5:154
load.php?debug=false&lang=mai&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1u1uxh5:154 Use of "wgPageName" is deprecated. Use mw.config instead.
get @ load.php?debug=false&lang=mai&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1u1uxh5:154
load.php?debug=false&lang=mai&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1u1uxh5:154 Use of "wgServer" is deprecated. Use mw.config instead.
get @ load.php?debug=false&lang=mai&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1u1uxh5:154
2load.php?debug=false&lang=mai&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1u1uxh5:154 Use of "wgPageName" is deprecated. Use mw.config instead.
get @ load.php?debug=false&lang=mai&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1u1uxh5:154
load.php?debug=false&lang=mai&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1u1uxh5:154 Use of "wgTitle" is deprecated. Use mw.config instead.
get @ load.php?debug=false&lang=mai&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1u1uxh5:154

Change 419246 had a related patch set uploaded (by Odder; owner: Odder):
[operations/mediawiki-config@master] Update logo for the Maithili Wikipedia

https://gerrit.wikimedia.org/r/419246

Change 419246 merged by jenkins-bot:
[operations/mediawiki-config@master] Update logo for the Maithili Wikipedia

https://gerrit.wikimedia.org/r/419246

tomasz added a subscriber: tomasz.Mar 13 2018, 11:31 PM

The blurriness should now be fixed as the above patch has now been deployed.

@tomasz I still see the blurred logo. Confused?

biplabanand reopened this task as Open.Dec 12 2018, 5:07 PM

After this notice, we have fixed the logo text. Would you don't mind updating the new logo @tomasz

File like- https://commons.wikimedia.org/wiki/File:Wikipedia-logo-v2-mai.svg

Urbanecm closed this task as Resolved.Dec 12 2018, 11:44 PM

After this notice, we have fixed the logo text. Would you don't mind updating the new logo @tomasz

File like- https://commons.wikimedia.org/wiki/File:Wikipedia-logo-v2-mai.svg

Please open a new task - this task isn't for all updates of maiwiki logo that happened/might happen in the future. Scope of this task was resolved.